Update a connector
deprecated
Server:
https://{kibana_url}
- PUT /api/actions/action/{id}
- PUT /s/{space_id}/api/actions/action/{id}
Refer to Spaces for more information.
Path Parameters
-
idstringrequired -
An identifier for the connector.
Response
Indicates a successful call.
-
configmap string to object -
connector_type_idstringrequired -
The connector type identifier.
-
idstringrequired -
The identifier for the connector.
-
is_deprecatedbooleanrequired -
Indicates whether the connector is deprecated.
-
is_missing_secretsboolean -
Indicates whether the connector is missing secrets.
-
is_preconfiguredbooleanrequired -
Indicates whether the connector is preconfigured. If true, the
configandis_missing_secretsproperties are omitted from the response. -
is_system_actionbooleanrequired -
Indicates whether the connector is used for system actions.
-
namestringrequired -
The name of the rule.